Knowledge Base
Get Answer Library entry
Get an Answer Library entry.
GET
/
knowledge-base
/
answer-library
/
{id}
Get Answer Library entry
curl --request GET \
--url https://api.vanta.com/v1/knowledge-base/answer-library/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/knowledge-base/answer-library/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/knowledge-base/answer-library/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439031",
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationStatus": "CURRENT",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041",
"displayName": "Alex Rivera"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"lastUpdated": "2024-10-12T16:08:42.000Z",
"lastVerified": "2024-12-01T09:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Ok
Available options:
CURRENT, EXPIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Create Answer Library entryUpdate Answer Library entryList Answer Library entriesDelete Answer Library entryVerify Answer Library entryWas this page helpful?
⌘I
Get Answer Library entry
